DictObjContInfo Class Reference

Private class that represents an information class for the dictionary object container. More...

`#include <DictObjContInfo.h>`

Inheritance diagram for DictObjContInfo:
Collaboration diagram for DictObjContInfo:

## Static Public Member Functions

static DictObjContInfo & | GetInstance ()

## Additional Inherited Members

Public Member Functions inherited from ObjContInfo
void | AddCat (const std::string &catName)
void | AddCat (const std::string &catName, const std::string &col1, const bool nonDefaultValue=false, const bool inheritance=false)
void | AddItem (const std::string &descr, const std::string &itemName)
unsigned int | GetItemIndex (const std::string &catName, const std::string &itemName) const
std::pair< unsigned int, unsigned int > | GetItemIndices (const std::string &catName, const std::string &itemName) const
virtual | ~ObjContInfo ()
Public Attributes inherited from ObjContInfo
std::string | _objContInfoDescr
std::vector< Cat > | _cats
std::map< std::pair< std::string, std::string >, std::pair< unsigned int, unsigned int > > | _catMap
Protected Member Functions inherited from ObjContInfo
| ObjContInfo ()

## Detailed Description

Private class that represents an information class for the dictionary object container.

## Member Function Documentation

## GetInstance()

static DictObjContInfo & DictObjContInfo::GetInstance | ( |  | ) |

static

The documentation for this class was generated from the following file:

- rcsb/DictObjContInfo.h